import type { _MTRBridgedDeviceBasicInformationClusterStartUpEvent } from "./MTRBridgedDeviceBasicInformationClusterStartUpEvent.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRBridgedDeviceBasicClusterStartUpEvent extends _MTRBridgedDeviceBasicInformationClusterStartUpEvent {
    static alloc(): _MTRBridgedDeviceBasicClusterStartUpEvent;
    static new(): _MTRBridgedDeviceBasicClusterStartUpEvent;
    init(): _MTRBridgedDeviceBasicClusterStartUpEvent;
    softwareVersion(): _NSNumber;
    setSoftwareVersion$(value: _NSNumber): void;
}
